using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class DelayedDestroy : MonoBehaviour
{
	public float time = 0;
    void Awake()
    {
        SoundEffectManager.GetInstance().PlaySoundEffect(SoundName.Explosion);
    }
	void Update()
	{
		time -= Time.smoothDeltaTime;
		if (time < 0)
		{
			Destroy(gameObject);
		}
	}
}
